[Mongodb]php.iniでのextension=mongo.soエラー

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/mongo.so' - /usr/lib64/php/modules/mongo.so: cannot open shared object file: No such file or directory in Unknown on line 0
PHP Warning:  Directive 'safe_mode' is deprecated in PHP 5.3 and greater in Unknown on line 0
Could not open input file: version
2014-08-10 20:55 コメント
已邀请:
0

iQi - 面白いアプリを開発中

{ 賛成 }:

cd /tmp
wget -c https://github.com/mongodb/mongo-php-driver/archive/master.zip
unzip master.zip
cd mongo-php-driver-master
phpize
./configure
make all
sudo make install


または、

$ sudo apt-get install php-pear php5-dev
$ sudo pecl install mongo
$ sudo touch /etc/php5/conf.d/mongo.ini
(extension=mongo.so)


また、PHPバージョンが5.5以下の場合、

wget http://pecl.php.net/get/mongo-1.3.6.tgz             
/usr/bin/phpize
./configure --with-php-config=/usr/local/php/bin/php-config
make && make install
/usr/local/php/etc/php.ini             
extension=mongo.so;
2014-08-10 20:59 コメント
0

iQi - 面白いアプリを開発中

{ 賛成 }:

yum -y update


yum -y install gcc php-pear php-devel


pecl install mongo


vim /etc/php.ini
extension=mongo.so


service mongod restart


php -m | grep -i mongo
2019-09-06 15:29 コメント

ログインまたは登録してから回答してください

lujian
lujian

Javaが得意です。

@ステータス

  • 更新: 2019-09-06 15:29
  • 閲覧: 1614
  • フォロー: 2
EXIT フルスクリーンモード 回答